apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  annotations:
    cert-manager.io/cluster-issuer: letsencrypt-staging
    nginx.ingress.kubernetes.io/backend-protocol: HTTP
    nginx.ingress.kubernetes.io/ssl-redirect: "true"
    oceanbox.io/expose: internal
  labels:
    app.kubernetes.io/instance: prod-geoserver
    app.kubernetes.io/name: geoserver
  name: geoserver-internal
  namespace: geoserver
spec:
  ingressClassName: nginx
  rules:
  - host: geoserver.srv.oceanbox.io
    http:
      paths:
      - backend:
          service:
            name: prod-geoserver
            port:
              number: 8080
        path: /geoserver
        pathType: ImplementationSpecific
  tls:
  - hosts:
    - geoserver.srv.oceanbox.io
    secretName: prod-geoserver-tls

